this.autowatch = 1;

inlets=1;
outlets=5;

var amount=50;

var posmatrix = new JitterMatrix(3,"float32",amount,1);
var scalematrix = new JitterMatrix(3,"float32",amount,1);
var bgcolormatrix = new JitterMatrix(4,"float32",amount,1);
var rotatematrix = new JitterMatrix(3,"float32",amount,1);
var glyphmatrix = new JitterMatrix(1,"float32",amount,1);



var charTexture = new JitterObject("jit.gl.texture", "js_glmultiple");
charTexture.name = "glyph_texture";
charTexture.adapt = 1;
charTexture.rectangle = 0;
charTexture.read("king-big.png");

var charShader = new JitterObject("jit.gl.shader", "js_glmultiple");
charShader.file = "texture_atlas.jxs";
charShader.name = "glyph_shader";

var gshape = new JitterObject("jit.gl.gridshape", "js_glmultiple");
gshape.automatic = 0;
gshape.name="glyph_gs";
gshape.shape = "plane";
gshape.dim = [1, 1];
gshape.lighting_enable = 1;
gshape.depth_enable = 0;
gshape.smooth_shading = 1;
gshape.displaylist = 1;
gshape.blend_enable = 1;
gshape.blend = "alphablend";
gshape.texture="glyph_texture";
gshape.shader="glyph_shader";

function msg_int()
{
	amount = arguments[0];

	posmatrix.dim=(1,amount);
	scalematrix.dim=(1,amount);
	rotatematrix.dim=(1,amount);
	bgcolormatrix.dim=(1,amount);
	glyphmatrix.dim=(1,amount);

}



function bang() {


	for (var i=0;i<amount;i++) {
		posmatrix.setcell(i,"val",Math.random(),Math.random(),Math.random());
		scalematrix.setcell(i,"val",.01,.06,1.);
		bgcolormatrix.setcell(i,"val",Math.random(),Math.random(),Math.random(),.2);
		rotatematrix.setcell(i,"val",Math.random(),Math.random(),Math.random(),Math.random());
		glyphmatrix.setcell(i,"val",Math.random()*100+65);
	}
	
	outlet(0,"jit_matrix",posmatrix.name);
	outlet(1,"jit_matrix",scalematrix.name);
	outlet(2,"jit_matrix",rotatematrix.name);
	outlet(3,"jit_matrix",glyphmatrix.name);
	outlet(4,"jit_matrix",bgcolormatrix.name);

}

