this.autowatch = 1;

var charTexture = new JitterObject("jit.gl.texture", "js_many_gridshapes");
charTexture.name = "glyphtexture";
charTexture.adapt = 1;
charTexture.rectangle = 0;
charTexture.read("king-big.png");

var charShader = new JitterObject("jit.gl.shader", "js_many_gridshapes");
charShader.file = "texture_atlas.jxs";
charShader.name = "glyphshader";

var gridShapeArray = [];

for (var i = 0; i < 500; i++) {
	var gshape = new JitterObject("jit.gl.gridshape", "js_many_gridshapes");
	gshape.automatic = 0;
	gshape.shape = "plane";
	gshape.dim = [1, 1];
	gshape.lighting_enable = 1;
	gshape.depth_enable = 0;
	gshape.smooth_shading = 1;
	gshape.displaylist = 1;
	gshape.blend_enable = 1;
	gshape.blend = "alphablend";
	gshape.position = [Math.random() * 20, Math.random() * 20, Math.random() * 20];
	gridShapeArray.push(gshape);
	
}

function bang() {
	charTexture.bind();
	for (i = 0; i < gridShapeArray.length; i++) {
		
		/*
		gl.PushMatrix()
		gl.Translate(x*1.1, y*2.1, 0)
		gl.Scale(.5,1.,1.)
		 */
		
		charShader.param("glyph", i);
		charShader.param("bgcolor", [Math.random(), Math.random(), Math.random(), .2])
		charShader.param("glitchamount", Math.random())
		
		charShader.bind();
		gridShapeArray[i].drawimmediate();
		charShader.unbind();
		
		/*
		gl.PopMatrix()
		 */
	}
	charTexture.unbind();
}
